<?php
namespace Mewz\WCAS\Actions\Compatibility;

use Mewz\Framework\Base\Action;
use Mewz\WCAS\Util\Orders;

class WPLister extends Action
{
	public function __hooks()
	{
		// sync attribute stock when WP-Lister imports an order
		add_action('wplister_after_create_order_with_nonexisting_items', [$this, 'after_create_order']);
		add_action('wpla_after_create_order_with_nonexisting_items', [$this, 'after_create_order']);
	}

	public function after_create_order($order_id)
	{
		Orders::update_order_attribute_stock($order_id, 'sync');
	}
}
